Jump to content

Drawing a cylinder using Method ActiveX.


Recommended Posts

Posted

I am trying to draw a cylinder using the method vla-AddCylinder.

(vl-load-com)
(setq center (vlax-3d-point 0 0 0)
      cylRadius 5
      cylHeight 50)

(setq modelSpace (vla-get-ModelSpace (vla-get-ActiveDocument (vlax-get-acad-object))))
(vla-AddCylinder modelSpace center cylRadius cylHeight)

The cylinder is extruding along axis Z.
I would make the cylinder be directed along another axis, for example X.

 

Posted

Construct the cylinder relative to the WCS plane and then transform as required - here is an example.

  • Like 1
Posted

Just another use rotate3d after making object or set a ucs then draw object in that plane.

  • Like 1
Posted

 BIGAL Yes. I guess that sometimes using the function entmake must be easier.

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...